Bug 73066 - smbfs has problems with 32bit UIDs
smbfs has problems with 32bit UIDs
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
Blocks: 81544
  Show dependency treegraph
Reported: 2002-08-30 06:39 EDT by Panu Matilainen
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix smbfs mounting with 32bit uid/gid (843 bytes, patch)
2002-08-30 06:41 EDT, Panu Matilainen
no flags Details | Diff

  None (edit)
Description Panu Matilainen 2002-08-30 06:39:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
Using UID/GID > 65k when mounting smbfs filesystems the resulting mount point
UID/GID wraps around.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.smbmount //some/share /mnt/ -o uid=100000
2. ls -ld /mnt	

Actual Results:  The UID wraps around at 65535(and so does GID) so the mount
point gets owned by wrong UID.

Expected Results:  ..the values shouldn't wrap around of course..

Additional info:
This bug is present in all 2.4 kernels and is caused by
include/linux/smb_mount.h using __kernel_uid_t instead of __kernel_uid32_t.
Comment 1 Panu Matilainen 2002-08-30 06:41:56 EDT
Created attachment 73933 [details]
Fix smbfs mounting with 32bit uid/gid
Comment 2 Panu Matilainen 2002-08-30 06:45:45 EDT
To make it all actually work glibc-kernheaders needs the fix too and then samba
needs to be recompiled against that headerset, *seems* to work without
recompiling glibc though.
Comment 3 Panu Matilainen 2002-09-04 10:06:55 EDT
Urban Widmark has a better solution to this:
Comment 4 Arjan van de Ven 2002-09-16 08:29:57 EDT
the issue with this is binary compatibility with userspace ;(
not something we can break relative to kernel.org kernels.
Comment 5 Panu Matilainen 2002-09-16 08:40:52 EDT
As far as I understood Urbans fix doesn't have that issue? I'm not a kernel
hacker really so my "fix" was just a guess which cured the symptoms for me :)
Comment 6 Panu Matilainen 2003-01-09 08:59:28 EST
We've been succesfully using Urbans patches (which don't break compatibility)
with RHL8.0 without seeing any problems - please consider adding the patch to
phoebe at least? The patch still applies cleanly (using it right now..) 
Comment 7 Panu Matilainen 2003-01-10 03:18:33 EST
Changing product to public beta in the hopes of having it fixed there :)
Comment 8 Bugzilla owner 2004-09-30 11:39:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.